Std: Vizualizarea în perspectivă

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std PerspectiveCamera and the translation is 6% complete.
Outdated translations are marked like this.
Other languages:
English • ‎español • ‎français • ‎italiano • ‎română • ‎русский

Std PerspectiveCamera.svg Std PerspectiveCamera

Menu location
View → Perspective view‏‎
Workbenches
All
Default shortcut
P
Introduced in version
-
See also
Orthographic view

Descriere

Puneți camera în modul vedere perspectivă.
Perspectivă are adâncime pe când modul Ortogonal areadâncime fixă . Puteți mări și micșora imaginile. Puteți judeca distanțele. Camerele pot fi distanțate de scenă.

The Std PerspectiveCamera command switches the camera in the active 3D view to perspective view mode. In this mode, objects that are further from the camera appear smaller than those that are closer.

Std PerspectiveCamera example.svg

Two cubes with the same dimensions in perspective view


Utilizare

Alegeți ViewView-perspective.svg Perspective view din meniul de sus/top.

  1. There are several ways to invoke the command:
    • Select the View → Std PerspectiveCamera.svg Perspective view option from the menu.
    • Use the keyboard shortcut: V then P.

Notes

  • It is also possible to switch to perspective view mode via the Mini-cube menu of the Navigation Cube.

Preferences

  • The camera type can be changed in the preferences: Edit → Preferences... → Display → 3D View → Camera type. The selected type will be used for all 3D views of all opened documents and also for new documents. See Preferences Editor.

Scripting

See also: FreeCAD Scripting Basics.

To change the view to perspective use the setCameraType method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.setCameraType('Perspective')
FreeCADGui.ActiveDocument.ActiveView.getCameraType()

Template:Std Base navi/ro